## RetroOption RetroOption — An object representing an option from a Libretro core |

## Functions

const gchar * | retro_option_get_key ()
const gchar * | retro_option_get_description ()
const gchar ** | retro_option_get_values ()
const gchar * | retro_option_get_value ()
void | retro_option_set_value ()

## Signals

void | value-changed | Run Last

## Types and Values

#define | RETRO_TYPE_OPTION
| RetroOption

## Object Hierarchy

        GObject
        ╰── RetroOption

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_option_get_key ()

    const gchar *
    retro_option_get_key (RetroOption *self);

Gets the key of `self` .

#### Parameters

self | a RetroOption |

#### Returns

the key of `self` .

[transfer none]

### retro_option_get_description ()

    const gchar *
    retro_option_get_description (RetroOption *self);

Gets the description of `self` .

#### Parameters

self | a RetroOption |

#### Returns

the description of `self` .

[transfer none]

### retro_option_get_values ()

    const gchar **
    retro_option_get_values (RetroOption *self);

Gets the value of `self` .

#### Parameters

self | a RetroOption |

#### Returns

the value of `self` .

[array zero-terminated=1][element-type utf8][transfer none]

### retro_option_get_value ()

    const gchar *
    retro_option_get_value (RetroOption *self);

Gets the value of `self` .

#### Parameters

self | a RetroOption |

#### Returns

the value of `self` .

[transfer none]

### retro_option_set_value ()

    void
    retro_option_set_value (RetroOption *self,
                            const gchar *value,
                            GError **error);

Sets the value for `self` . An error will be thrown if the value is invalid for `self` .

#### Parameters

self | a RetroOption |
value | the value |
error | return location for a GError, or `NULL` |

## Types and Values

### RETRO_TYPE_OPTION

    #define RETRO_TYPE_OPTION (retro_option_get_type())

### RetroOption

    typedef struct _RetroOption RetroOption;

## Signal Details

### The `“value-changed”` signal

    void
    user_function (RetroOption *retrooption,
                   gpointer     user_data)

Flags: Run Last

## See Also

RetroCore